app.controller("diversosController", function ($scope, $rootScope, $routeParams) {
   
    $scope.houveAlteracoes = false;

    $scope.parametro = $routeParams.p;
    

    $scope.dadosModificados = function (modificado) {
        if ($scope.houveAlteracoes != modificado) {
            //console.log(1);
            $scope.houveAlteracoes = modificado;
            $rootScope.$broadcast('houveAlteracoes', modificado);
        }

    };

    $scope.tabPrincipal = [
        
        {
            indice: 0,
            activo: true,
            url: "views/diversosConfiguracao.html?v=" + new Date().getTime()
        },
        {
            indice: 1,
            activo: false,
            url: "views/diversosUtilizadores.html?v=" + new Date().getTime()
            //url: "views/gestaoUtilizadores.html?v=" + new Date().getTime()
        },
        {
            indice: 2,
            activo: false,
            url: "views/diversosPerfis.html?v=" + new Date().getTime()
        },
        {
            indice: 3,
            activo: false,
            url: "views/diversosDestaques.html?v="+new Date().getTime()
        }
    ];

    $scope.url_activo = "views/diversosConfiguracao.html?v=" + new Date().getTime();
    

    $scope.changeTabPrincipal = function (indice) {
        
        var n = $scope.tabPrincipal.length;
        if (indice < 0 || indice > n - 1)
            return;

        if ($scope.houveAlteracoes == true) {
            //avisa que houve alteracoes
            var c = confirm("Houve Alterações que não foram Guardadas.\nDeseja Continuar?");
            if (c == false)
                return;

        }
        $scope.dadosModificados(false);


        for (i = 0; i < n; i++) {
            if (i != indice) {
                $scope.tabPrincipal[i].activo = false;
                
            }
        }

        $scope.tabPrincipal[indice].activo = true;
        $scope.url_activo = $scope.tabPrincipal[indice].url;
        
    };

    /*if ($scope.parametro!=null)
    {
        if ($scope.parametro==2)
        {
            $scope.changeTabPrincipal(2);
        }
    }*/
    if (sessionStorage.perfilPag!=null)
    {
        
        $scope.changeTabPrincipal(2);
        setTimeout(function () { sessionStorage.removeItem("perfilPag"); }, 1000);
    }

    $scope.url_AcessosUtilizadorActivo = "views/diversosUtilizadores.html?v=" + new Date().getTime();
    $scope.tabAcessosUtilizador = [
        {
            indice: 0,
            activo: true,
            url: "views/diversosUtilizadores.html?v=" + new Date().getTime()
        },
        {
            indice: 1,
            activo: false,
            url: "views/acessosUtilizador.html?v=" + new Date().getTime()
        }
    ];

    $scope.changeTabAcessosUtilizador = function (indice) {

        var n = $scope.tabAcessosUtilizador.length;
        if (indice < 0 || indice > n - 1)
            return;
        
        for (i = 0; i < n; i++) {
            if (i != indice) {
                $scope.tabAcessosUtilizador[i].activo = false;
            }
        }

        $scope.tabAcessosUtilizador[indice].activo = true;
        $scope.url_AcessosUtilizadorActivo = $scope.tabAcessosUtilizador[indice].url;

    };

   
});